---
title: "world systemのupdateとmodelの改良"
slug: "ue"
date: 2025-06-30
tags: ["ue", "blender"]
draft: false
---

最近のゲーム開発の進捗です。

## world system

現在、ue5.6で新しく世界を作り直しています。

これは、ゲーム開発のproject内でworld systemという名前をつけた惑星形式のmapを目指す領域になります。

現在、worldscape + udsで理想に近い形のmapができました。ただ、問題もたくさんあり、重力システムと天候システムです。

```sh
[issue]
1. 天候システム
2. 重力システム
```

ですが、今までのworld systemは、大気圏から宇宙に移行する場面や陸地が存在しない点、地平線が不完全な点などがありましたが、それらの問題はすべて解消されました。

```sh
[update]
1. 大気圏から宇宙に移行する場面が完全になった
2. 陸地ができた
3. 地平線が完全なアーチを描けるように
4. 月、惑星への着陸ができるようになった
5. 横から惑星に突入できるようになった
```

## blender

まず、昔のmodelはクオリティの関係もあり、一時的にnahidaのmodelを参考にしていました。今回はオリジナリティを強化したため、クオリティは下がりましたが、素体と衣装を別々に作り組み合わせました。また、materialも分離したため、装飾がピカピカ光るようになりました。

blenderの使い方が少しわかってきたのでやってよかったです。

> vroid(vrm) -> blender(nahida) -> blender(original)

[img-compare before="/img/ue_blender_model_ai_v0401.png" after="/img/ue_blender_model_ai_v0501.png" width="800" height="300"]

[img-compare before="/img/ue_blender_model_ai_v0402.png" after="/img/ue_blender_model_ai_v0502.png" width="800" height="300"]

特に難しかったのは、指のウェイトペイントです。これは指全体をまんべんなく塗ることで解決しました。

また、昔からあった衣装のガビガビは重複する面を削除することで解消できました。

```md
全選択（A キー）
Mesh → Clean Up → Merge by Distance
距離を0.000にして実行
```

しかし、まだまだ問題があり、細かな調整が必要です。

```sh
[issue]
1. 衣装同士、あるいは体が多少すり抜ける事がある
2. 指先、足先がちょっと気になる。ボーンの調整が完璧ではない
3. 後ろの装飾衣装を考えている。ひらひらのマントぽいものがあるといい
```

面白い動画ではありませんが、現状を記録しておきます。

<iframe width="100%" height="415" src="https://www.youtube.com/embed/K0solfQAQTQ?si=B6qD-WUODTUpWZ0y" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
